curl --request GET 'https://core.getfaceage.com/api/v1/business/{business_id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer your_secret_key'
{
"status": true,
"data": {
"id": 8820,
"user_id": 5,
"name": "My First beauty business",
"main_domain": "myfirst-beauty.com",
"site": "https://www.myfirst-beauty.com",
"country_id": 22,
"city": null,
"address": null,
"zip": null,
"contact_email": "[email protected]",
"phone": null,
"customer_type": "subscriber",
"shopify_shop_id": 2267877,
"business_size": "small",
"token": "zxNPIQhoAWmY934DnqrT",
"status": "active",
"after_analyze_status": "none",
"logo": "https://www.dfs.com/logo/12/66dee2aecbd36.png",
"mail_from_address": "[email protected]",
"mail_from_name": "John Smith",
"mail_host": "sandbox.smtp.mailtrap.io",
"mail_mailer": "smtp",
"mail_port": 2525,
"mail_username": "pimJplc******",
"mail_password": "*************",
"mail_encryption": "TLS",
"deleted_date": null,
"created_at": "2024-03-12T10:29:08.000000Z",
"updated_at": "2024-03-12T10:29:08.000000Z",
"country_list": {
"id": 22,
"name": "Belgium",
"code": "BE"
},
"access_list": [
{
"id": 26,
"business_id": 8820,
"site": "https://www.myfirst-beauty.com",
"created_at": "2024-03-12T10:29:08.000000Z",
"updated_at": "2024-03-12T10:29:08.000000Z"
}
],
"total_bought_credits": null,
"total_deducted_credits": {
"business_id": 8820,
"total": 6000
},
"invoice": [
{
"id": 83,
"business_id": 8820,
"credit": 6000,
"expiry_date": "2028-03-20 18:31:25",
"access": "all",
"created_at": "2024-06-10T04:31:25.000000Z",
"price": 12
}
]
}
}
{
"message": "Unauthenticated."
}
Business management
Get a business
Get the details of one of your businesses.
GET
/
business
/
{business_id}
curl --request GET 'https://core.getfaceage.com/api/v1/business/{business_id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer your_secret_key'
{
"status": true,
"data": {
"id": 8820,
"user_id": 5,
"name": "My First beauty business",
"main_domain": "myfirst-beauty.com",
"site": "https://www.myfirst-beauty.com",
"country_id": 22,
"city": null,
"address": null,
"zip": null,
"contact_email": "[email protected]",
"phone": null,
"customer_type": "subscriber",
"shopify_shop_id": 2267877,
"business_size": "small",
"token": "zxNPIQhoAWmY934DnqrT",
"status": "active",
"after_analyze_status": "none",
"logo": "https://www.dfs.com/logo/12/66dee2aecbd36.png",
"mail_from_address": "[email protected]",
"mail_from_name": "John Smith",
"mail_host": "sandbox.smtp.mailtrap.io",
"mail_mailer": "smtp",
"mail_port": 2525,
"mail_username": "pimJplc******",
"mail_password": "*************",
"mail_encryption": "TLS",
"deleted_date": null,
"created_at": "2024-03-12T10:29:08.000000Z",
"updated_at": "2024-03-12T10:29:08.000000Z",
"country_list": {
"id": 22,
"name": "Belgium",
"code": "BE"
},
"access_list": [
{
"id": 26,
"business_id": 8820,
"site": "https://www.myfirst-beauty.com",
"created_at": "2024-03-12T10:29:08.000000Z",
"updated_at": "2024-03-12T10:29:08.000000Z"
}
],
"total_bought_credits": null,
"total_deducted_credits": {
"business_id": 8820,
"total": 6000
},
"invoice": [
{
"id": 83,
"business_id": 8820,
"credit": 6000,
"expiry_date": "2028-03-20 18:31:25",
"access": "all",
"created_at": "2024-06-10T04:31:25.000000Z",
"price": 12
}
]
}
}
{
"message": "Unauthenticated."
}
Path parameters
integer
required
ID of the business.
Response
boolean
true when the request succeeds.object
Hide business
Hide business
integer
Business ID.
string
Business name.
string
Main domain of the business.
string
Website URL.
integer
Country ID. See Get countries.
string
One of
small, medium, large, very_large.string
The business’s Face Age ID (API key).
string
Business status, for example
active.string
Logo URL or path.
string
Outgoing email settings. See Update a business.
object
Country details:
id, name, code.object[]
Domains allowed to use the API key. See Add access.
object | null
Total credits bought.
object | null
Total credits used.
object[]
Purchased credit packages with
credit, expiry_date, access and price.curl --request GET 'https://core.getfaceage.com/api/v1/business/{business_id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer your_secret_key'
{
"status": true,
"data": {
"id": 8820,
"user_id": 5,
"name": "My First beauty business",
"main_domain": "myfirst-beauty.com",
"site": "https://www.myfirst-beauty.com",
"country_id": 22,
"city": null,
"address": null,
"zip": null,
"contact_email": "[email protected]",
"phone": null,
"customer_type": "subscriber",
"shopify_shop_id": 2267877,
"business_size": "small",
"token": "zxNPIQhoAWmY934DnqrT",
"status": "active",
"after_analyze_status": "none",
"logo": "https://www.dfs.com/logo/12/66dee2aecbd36.png",
"mail_from_address": "[email protected]",
"mail_from_name": "John Smith",
"mail_host": "sandbox.smtp.mailtrap.io",
"mail_mailer": "smtp",
"mail_port": 2525,
"mail_username": "pimJplc******",
"mail_password": "*************",
"mail_encryption": "TLS",
"deleted_date": null,
"created_at": "2024-03-12T10:29:08.000000Z",
"updated_at": "2024-03-12T10:29:08.000000Z",
"country_list": {
"id": 22,
"name": "Belgium",
"code": "BE"
},
"access_list": [
{
"id": 26,
"business_id": 8820,
"site": "https://www.myfirst-beauty.com",
"created_at": "2024-03-12T10:29:08.000000Z",
"updated_at": "2024-03-12T10:29:08.000000Z"
}
],
"total_bought_credits": null,
"total_deducted_credits": {
"business_id": 8820,
"total": 6000
},
"invoice": [
{
"id": 83,
"business_id": 8820,
"credit": 6000,
"expiry_date": "2028-03-20 18:31:25",
"access": "all",
"created_at": "2024-06-10T04:31:25.000000Z",
"price": 12
}
]
}
}
{
"message": "Unauthenticated."
}